/*******************************************************
This program was created by the
CodeWizardAVR V3.10 Evaluation
Automatic Program Generator
 Copyright 1998-2014 Pavel Haiduc, HP InfoTech s.r.l.
http://www.hpinfotech.com

Chip type               : ATtiny13
AVR Core Clock frequency: 1,200000 MHz
Memory model            : Tiny
External RAM size       : 0
Data Stack size         : 16
*******************************************************/

#include <tiny13.h>
#include <delay.h>

#define PIN_REED PINB.0
#define PULLUP_REED PORTB.0
#define P_LED1   PORTB.1
#define DP_LED1  DDRB.1
#define P_LED2   PORTB.3
#define DP_LED2  DDRB.3


void main(void)
{
   unsigned char count;

   // Crystal Oscillator division factor: 8
   #pragma optsize-
   CLKPR=(1<<CLKPCE);
   CLKPR=(0<<CLKPCE) | (0<<CLKPS3) | (0<<CLKPS2) | (1<<CLKPS1) | (1<<CLKPS0);
   #ifdef _OPTIMIZE_SIZE_
   #pragma optsize+
   #endif

   // Analog Comparator initialization
   // Analog Comparator: Off
   // The Analog Comparator's positive input is
   // connected to the AIN0 pin
   // The Analog Comparator's negative input is
   // connected to the AIN1 pin
   ACSR=(1<<ACD) | (0<<ACBG) | (0<<ACO) | (0<<ACI) | (0<<ACIE) | (0<<ACIS1) | (0<<ACIS0);
   ADCSRB=(0<<ACME);
   
   PULLUP_REED = 1;
   DP_LED1 = 1;
   DP_LED2 = 1;
   
   while (1)
   {
      if(PIN_REED == 0)
      {
         for(count = 0; count < 10; count++)
         {                
            P_LED1 = 1;
            P_LED2 = 0;
            delay_ms(500);
            P_LED1 = 0;
            P_LED2 = 1;
            delay_ms(500);
            if(PIN_REED == 0)
            {
               count = 0;
            }
         }
         P_LED2 = 0;
      }
   }
}
